open(LINKOVI,">linkovi.dat") or die("Ne mogu da otvorim datoteku linkovi.dat");
open(SLIKE,">slike.dat") or die("Ne mogu da otvorim datoteku linkovi.dat");

while(<>)
{	
    if (/<a\s+href=\"([^"]+)\"[^>]*>(.+)<\/a>/i)
    {	print LINKOVI "URL: $1\tdescription: $2\n";	}
    
    if (/<img\s+src=\"([^"]*[\/\\])*([^\/\\"]+)\"(\s+alt=\"(.+)\")?\s*>/i)
    {	print SLIKE "image : $2"; 
	if ($4)
	{
	    print SLIKE "\tdescription : $4";	
	}
	print SLIKE "\n";
    }

}
